org.keycloak.services.clientpolicy

## Class DefaultClientPolicyManagerFactory

- java.lang.Object
- - org.keycloak.services.clientpolicy.DefaultClientPolicyManagerFactory

- All Implemented Interfaces:
    ProviderFactory<ClientPolicyManager>, ClientPolicyManagerFactory

      public class DefaultClientPolicyManagerFactory
      extends Object
      implements ClientPolicyManagerFactory

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClientPolicyManagerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `ClientPolicyManager` | `create(KeycloakSession session)`
    `protected List<ClientProfileRepresentation>` | `getGlobalClientProfiles(KeycloakSession session)` When this method is called, assumption is that CLIENT_POLICIES feature is enabled
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### DefaultClientPolicyManagerFactory

          public DefaultClientPolicyManagerFactory()

  - ### Method Detail

    - #### create

          public ClientPolicyManager create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ClientPolicyManager>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ClientPolicyManager>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<ClientPolicyManager>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<ClientPolicyManager>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ClientPolicyManager>`

    - #### getGlobalClientProfiles

          protected List<ClientProfileRepresentation> getGlobalClientProfiles(KeycloakSession session)

      When this method is called, assumption is that CLIENT_POLICIES feature is enabled

Copyright © 2021 JBoss by Red Hat. All rights reserved.